package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstruckCheckServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import java.math.BigDecimal;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/24 17:29
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstruckcheck")
public class BmstruckCheckController extends BaseRESTfulController {

    @Autowired
    BmstruckCheckServiceImpl bmstruckCheckService;
    @Autowired
    ColumnDataUtil columnDataUtil;

    /**
     * 修改审核状态
     *
     * @param statementId
     * @return
     */
    @ApiModelProperty(value = "修改审核状态")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "statementId", value = "销售账单id", required = false, dataType = "BigDecimal"),
    })
    @PostMapping("/updateBmstruckCheck")
    public RESTfulResult updateBmstruckCheck(@RequestParam BigDecimal statementId,
                                             @RequestParam Integer status,
                                             @RequestParam Integer person) {
        int code = bmstruckCheckService.updateBmstruckCheck(statementId, status, person);
        return success(code);
    }
}
