package com.steerinfo.dil.controller;

import com.github.pagehelper.PageHelper;
import com.steerinfo.dil.service.IBmstruckDetailsOrderService;
import com.steerinfo.dil.service.impl.BmstruckDetailsOrderServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.dil.util.ColumnDataUtil;
import com.steerinfo.dil.util.PageListAdd;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/${api.version}/bmstruckConverted")
public class BmstruckConvertedController extends BaseRESTfulController {
    @Autowired
    BmstruckDetailsOrderServiceImpl bmstruckDetailsOrderService;
    @Autowired
    ColumnDataUtil columnDataUtil;
    //生成不同的计费账单
    //查询未生成账单的计时作业的详单
    /**
     * 展示汽运未生成账单的详单信息
     * @param mapVal
     * @param pageNum
     * @param pageSize
     * @param apiId
     * @return
     */
    @ApiModelProperty(value = "展示汽运未生成账单的作业详单信息")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageNum", value = "查询页数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "pageSize", value = "每页记录数", required = false, dataType = "Integer"),
            @ApiImplicitParam(name = "apiId", value = "销售：176", required = false, dataType = "BigDecimal"),
            @ApiImplicitParam(name = "orderType" ,value = "1:计时,2:计数，3：计重，4：包月",required = false,dataType = "Integer")
    })
    @PostMapping("/getUnFinishedConvertedTruckDetailsOrderList")
    public RESTfulResult getUnFinishedConvertedTruckDetailsOrderList(@RequestBody(required = false) Map<String,Object> mapVal,
                                                                     Integer pageNum,
                                                                     Integer pageSize,
                                                                     Integer apiId,
                                                                     Integer orderType) {
        List<Map<String, Object>> list = bmstruckDetailsOrderService.getUnFinishedConvertedTruckDetailsOrderList(mapVal,orderType);
        PageHelper.startPage(pageNum, pageSize);
        //分页查询数据
        List<Map<String, Object>> columnList = bmstruckDetailsOrderService.getUnFinishedConvertedTruckDetailsOrderList(mapVal,orderType);
        PageListAdd data = columnDataUtil.tableColumnData(apiId, list, columnList);
        return success(data);
    }

    /**
     * 新增内转详单
     * @param orderId
     * @return
     */
    @ApiModelProperty(value = "新增内转详单")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "orderId", value = "汽运运单id", required = false, dataType = "BigDecimal"),
    })
    @PostMapping("/addConvertedDetailsOrder/{orderId}")
    public RESTfulResult addConvertedDetailsOrder(@PathVariable("orderId") BigDecimal orderId) throws Exception {
        int code = bmstruckDetailsOrderService.addConvertedDetailsOrder(orderId);
        return success(code);
    }
}
