package com.steerinfo.dil.controller;

import com.steerinfo.dil.service.impl.BmstruckFormulaServiceImpl;
import com.steerinfo.dil.util.BaseRESTfulController;
import com.steerinfo.framework.controller.RESTfulResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/6 17:34
 * @Version:V2.0
 */
@RestController
@RequestMapping("/${api.version}/bmstruckformulas")
public class BmstruckFormulaController extends BaseRESTfulController {

    @Autowired
    BmstruckFormulaServiceImpl bmstruckFormulaService;

    /**
     * 查询途损费计算公式
     * @return
     */
    @ApiOperation(value = "查询销售汽运离100KM差距10KM内计费公式")
    @PostMapping("/getSmallTruckFormula")
    public RESTfulResult getSmallTruckFormula(){
        return success(bmstruckFormulaService.selectAnyFormula(new BigDecimal(10)));
    }

    /**
     * 查询水分质检计算公式
     * @return
     */
    @ApiOperation(value = "查询销售汽运离100KM差距10KM外计费公式")
    @PostMapping("/getBigTruckFormula")
    public RESTfulResult getBigTruckFormula(){
        return success(bmstruckFormulaService.selectAnyFormula(new BigDecimal(11)));
    }
}
