package com.steerinfo.dil.feign;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;
import java.util.Map;

/**
 * @Author HUJIANGUO
 * @Date 2021/11/10 9:58
 * @Version 1.0
 */
@FeignClient(value = "DAL-DAZHOU-JOIN-API",url = "https://172.16.33.161:8066")
public interface JoinApiFeign {
    /**
     * 采购汽运账单
     * @param detailsId
     * @return
     */
    @PostMapping("api/v1/join/bmstruckdetailsorder/getPurchaseDetailsOrder")
    Map<String,Object> getPurchaseDetailsOrder(@RequestParam("detailsId") Integer detailsId);

    /**
     * 推送结算信息给金蝶的接口
     * @param map
     * @return
     */
    @PostMapping("api/v1/join/wsface/pushBmsSettlement")
    String WSFaceWay(@RequestBody Map<String, Object> map);

    /**
     * 销售汽运详单
     * @param statementId
     * @return
     */
    @PostMapping("api/v1/join/bmstruckdetailsorder/getSaleDetailsOrder")
    List<Map<String, Object>> getSaleDetailsOrder(@RequestParam("statementId") Integer statementId);

    /**
     * 销售汽运账单
     * @param statementId
     * @return
     */
    @PostMapping("api/v1/join/bmstruckstatement/getStatement")
    Map<String,Object> getStatement(@RequestParam("statementId") Integer statementId);
}
