package com.steerinfo.dil.mapper;

import com.steerinfo.dil.model.BmstruckDetailsOrder;
import com.steerinfo.dil.model.BmstruckStatement;
import com.steerinfo.framework.mapper.IBaseMapper;
import java.math.*;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface BmstruckStatementMapper extends IBaseMapper<BmstruckStatement, BigDecimal> {

    /**
     * 展示汽运账单
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getTruckStatementList(Map<String, Object> mapValue);



    @Select("select seq_BMSTRUCK_STATEMENT.nextval from dual")
    BigDecimal selectStatementId();

    /**
     * 展示账单下的详单
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getSaleTruckStatementDetailsOrderList(Map<String, Object> mapVal);
    //通过账单id获取账单对应的详单信息
    List<BigDecimal> getDetailById(BigDecimal statementId);

    //查询统计信息
    Map<String,Object> getDetails(Map<String, Object> mapVal);

    //查询承运商和收货客户Id
    List<Map<String, Object>> getDetailIds(Map<String, Object> mapVal);

    //批量修改详单
    int batchUpdateDetails(Map<String, Object> mapVal);

    //查询是否已绑定账单
    List<BigDecimal> getStatementIds(Map<String, Object> mapVal);

    //取消所有绑定
    int updateAllBind(@Param(value = "statementIds") List<BigDecimal> statementIds);

    //查询账单下的所有详单
    List<Map<String, Object>> findDetailsForStatement(Map<String, Object> map);

    List<Map<String, Object>> getSaleAreaList(Map<String, Object> map);

    BigDecimal getReceiverCustomerId(String receiverCustomer);

}