package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计费账单稽核")
public class BmstruckCheck implements IBasePO<BigDecimal> {
    /**
     * 主键ID(CHECK_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal checkId;

    /**
     * 账单ID(STATEMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="账单ID",required=false)
    private BigDecimal statementId;

    /**
     * 收货客户ID(RECEIVE_CUSTOMER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="收货客户ID",required=false)
    private BigDecimal receiveCustomerId;

    /**
     * 收货客户稽核状态（0：拒绝；1：同意）(CHECK_RECEIVE_CUSTOMER_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="收货客户稽核状态（0：拒绝；1：同意）",required=false)
    private BigDecimal checkReceiveCustomerStatus;

    /**
     * 承运商ID(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商ID",required=false)
    private BigDecimal carrierId;

    /**
     * 承运商稽核状态（0：拒绝；1：同意）(CHECK_CARRIER_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="承运商稽核状态（0：拒绝；1：同意）",required=false)
    private BigDecimal checkCarrierStatus;

    /**
     * 销售公司ID(SHIPPER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="销售公司ID",required=false)
    private BigDecimal shipperId;

    /**
     * 销售公司稽核状态（0：拒绝；1：同意）(CHECK_SHIPPER_STATUS,DECIMAL,38)
     */
    @ApiModelProperty(value="销售公司稽核状态（0：拒绝；1：同意）",required=false)
    private BigDecimal checkShipperStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.checkId;
    }

    @Override
    public void setId(BigDecimal checkId) {
        this.checkId = checkId;
    }

    public BigDecimal getCheckId() {
        return checkId;
    }

    public void setCheckId(BigDecimal checkId) {
        this.checkId = checkId;
    }

    public BigDecimal getStatementId() {
        return statementId;
    }

    public void setStatementId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public BigDecimal getReceiveCustomerId() {
        return receiveCustomerId;
    }

    public void setReceiveCustomerId(BigDecimal receiveCustomerId) {
        this.receiveCustomerId = receiveCustomerId;
    }

    public BigDecimal getCheckReceiveCustomerStatus() {
        return checkReceiveCustomerStatus;
    }

    public void setCheckReceiveCustomerStatus(BigDecimal checkReceiveCustomerStatus) {
        this.checkReceiveCustomerStatus = checkReceiveCustomerStatus;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public BigDecimal getCheckCarrierStatus() {
        return checkCarrierStatus;
    }

    public void setCheckCarrierStatus(BigDecimal checkCarrierStatus) {
        this.checkCarrierStatus = checkCarrierStatus;
    }

    public BigDecimal getShipperId() {
        return shipperId;
    }

    public void setShipperId(BigDecimal shipperId) {
        this.shipperId = shipperId;
    }

    public BigDecimal getCheckShipperStatus() {
        return checkShipperStatus;
    }

    public void setCheckShipperStatus(BigDecimal checkShipperStatus) {
        this.checkShipperStatus = checkShipperStatus;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", checkId=").append(checkId);
        sb.append(", statementId=").append(statementId);
        sb.append(", receiveCustomerId=").append(receiveCustomerId);
        sb.append(", checkReceiveCustomerStatus=").append(checkReceiveCustomerStatus);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", checkCarrierStatus=").append(checkCarrierStatus);
        sb.append(", shipperId=").append(shipperId);
        sb.append(", checkShipperStatus=").append(checkShipperStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}