package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="汽运计费详单")
public class BmstruckDetailsOrder implements IBasePO<BigDecimal> {
    /**
     * 主键ID(DETAILS_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键ID",required=true)
    private BigDecimal detailsId;

    /**
     * 采购订单ID(PURCHASE_ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="采购订单ID",required=false)
    private BigDecimal purchaseOrderId;

    /**
     * 计量实绩ID(WEIGHT_TASK_RESULT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="计量实绩ID",required=false)
    private BigDecimal weightTaskResultId;

    /**
     * 详单号(DETAILS_NO,VARCHAR,200)
     */
    @ApiModelProperty(value="详单号",required=false)
    private String detailsNo;

    /**
     * 详单时间(DETAILS_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="详单时间",required=false)
    private Date detailsTime;

    /**
     * 单价ID(PRICE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="单价ID",required=false)
    private BigDecimal priceId;

    /**
     * 金额（保留两位小数）(DETAILS_AMOUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="金额（保留两位小数）",required=false)
    private BigDecimal detailsAmount;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 是否转成账单：（0：否，1：是）(WETHER_TO_STATEMENT,DECIMAL,0)
     */
    @ApiModelProperty(value="是否转成账单：（0：否，1：是）",required=false)
    private BigDecimal wetherToStatement;

    /**
     * 金蝶核准金额(EAS_AMOUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="金蝶核准金额",required=false)
    private BigDecimal easAmount;

    /**
     * 订单ID(ORDER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="订单ID",required=false)
    private BigDecimal orderId;

    /**
     * 单价IDS（用于保存多条数据）(PRICEIDS,VARCHAR,20)
     */
    @ApiModelProperty(value="单价IDS（用于保存多条数据）",required=false)
    private String priceids;

    /**
     * 历史单价(HISTORY_DETAILS_AMOUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="历史单价",required=false)
    private BigDecimal historyDetailsAmount;

    /**
     * 账单ID(STATEMENT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="账单ID",required=false)
    private BigDecimal statementId;

    /**
     * 修改凭证图片(PHOTO,VARCHAR,700)
     */
    @ApiModelProperty(value="修改凭证图片",required=false)
    private String photo;

    /**
     * 修改备注(REMARK,VARCHAR,255)
     */
    @ApiModelProperty(value="修改备注",required=false)
    private String remark;

    /**
     * 单价值，直接修改单价的值(PRICE_VALUE,DECIMAL,0)
     */
    @ApiModelProperty(value="单价值，直接修改单价的值",required=false)
    private BigDecimal priceValue;

    /**
     * 手动修改的客户id(CONSIGNEE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="手动修改的客户id",required=false)
    private BigDecimal consigneeId;

    /**
     * 批次id(WEIGHT_BATCH_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="批次id",required=false)
    private BigDecimal weightBatchId;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.detailsId;
    }

    @Override
    public void setId(BigDecimal detailsId) {
        this.detailsId = detailsId;
    }

    public BigDecimal getDetailsId() {
        return detailsId;
    }

    public void setDetailsId(BigDecimal detailsId) {
        this.detailsId = detailsId;
    }

    public BigDecimal getPurchaseOrderId() {
        return purchaseOrderId;
    }

    public void setPurchaseOrderId(BigDecimal purchaseOrderId) {
        this.purchaseOrderId = purchaseOrderId;
    }

    public BigDecimal getWeightTaskResultId() {
        return weightTaskResultId;
    }

    public void setWeightTaskResultId(BigDecimal weightTaskResultId) {
        this.weightTaskResultId = weightTaskResultId;
    }

    public String getDetailsNo() {
        return detailsNo;
    }

    public void setDetailsNo(String detailsNo) {
        this.detailsNo = detailsNo == null ? null : detailsNo.trim();
    }

    public Date getDetailsTime() {
        return detailsTime;
    }

    public void setDetailsTime(Date detailsTime) {
        this.detailsTime = detailsTime;
    }

    public BigDecimal getPriceId() {
        return priceId;
    }

    public void setPriceId(BigDecimal priceId) {
        this.priceId = priceId;
    }

    public BigDecimal getDetailsAmount() {
        return detailsAmount;
    }

    public void setDetailsAmount(BigDecimal detailsAmount) {
        this.detailsAmount = detailsAmount;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getWetherToStatement() {
        return wetherToStatement;
    }

    public void setWetherToStatement(BigDecimal wetherToStatement) {
        this.wetherToStatement = wetherToStatement;
    }

    public BigDecimal getEasAmount() {
        return easAmount;
    }

    public void setEasAmount(BigDecimal easAmount) {
        this.easAmount = easAmount;
    }

    public BigDecimal getOrderId() {
        return orderId;
    }

    public void setOrderId(BigDecimal orderId) {
        this.orderId = orderId;
    }

    public String getPriceids() {
        return priceids;
    }

    public void setPriceids(String priceids) {
        this.priceids = priceids == null ? null : priceids.trim();
    }

    public BigDecimal getHistoryDetailsAmount() {
        return historyDetailsAmount;
    }

    public void setHistoryDetailsAmount(BigDecimal historyDetailsAmount) {
        this.historyDetailsAmount = historyDetailsAmount;
    }

    public BigDecimal getStatementId() {
        return statementId;
    }

    public void setStatementId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo == null ? null : photo.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public BigDecimal getPriceValue() {
        return priceValue;
    }

    public void setPriceValue(BigDecimal priceValue) {
        this.priceValue = priceValue;
    }

    public BigDecimal getConsigneeId() {
        return consigneeId;
    }

    public void setConsigneeId(BigDecimal consigneeId) {
        this.consigneeId = consigneeId;
    }

    public BigDecimal getWeightBatchId() {
        return weightBatchId;
    }

    public void setWeightBatchId(BigDecimal weightBatchId) {
        this.weightBatchId = weightBatchId;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", detailsId=").append(detailsId);
        sb.append(", purchaseOrderId=").append(purchaseOrderId);
        sb.append(", weightTaskResultId=").append(weightTaskResultId);
        sb.append(", detailsNo=").append(detailsNo);
        sb.append(", detailsTime=").append(detailsTime);
        sb.append(", priceId=").append(priceId);
        sb.append(", detailsAmount=").append(detailsAmount);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", wetherToStatement=").append(wetherToStatement);
        sb.append(", easAmount=").append(easAmount);
        sb.append(", orderId=").append(orderId);
        sb.append(", priceids=").append(priceids);
        sb.append(", historyDetailsAmount=").append(historyDetailsAmount);
        sb.append(", statementId=").append(statementId);
        sb.append(", photo=").append(photo);
        sb.append(", remark=").append(remark);
        sb.append(", priceValue=").append(priceValue);
        sb.append(", consigneeId=").append(consigneeId);
        sb.append(", weightBatchId=").append(weightBatchId);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}