package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计算公式")
public class BmstruckFormula implements IBasePO<BigDecimal> {
    /**
     * 主键id(FORMULA_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal formulaId;

    /**
     * 税率id(TAX_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="税率id",required=false)
    private BigDecimal taxId;

    /**
     * 条件结果公式(CHILDREN_CONDITION_FORMULA,VARCHAR,200)
     */
    @ApiModelProperty(value="条件结果公式",required=false)
    private String childrenConditionFormula;

    /**
     * 条件(CHILDREN_CONDITION_JUDGE,VARCHAR,20)
     */
    @ApiModelProperty(value="条件",required=false)
    private String childrenConditionJudge;

    /**
     * 公式名称(FORMULA_NAME,VARCHAR,20)
     */
    @ApiModelProperty(value="公式名称",required=false)
    private String formulaName;

    /**
     * 公式字符串(FORMULA_STRING,VARCHAR,200)
     */
    @ApiModelProperty(value="公式字符串",required=false)
    private String formulaString;

    /**
     * 违约金id(VIOLATION_TYPE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="违约金id",required=false)
    private BigDecimal violationTypeId;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.formulaId;
    }

    @Override
    public void setId(BigDecimal formulaId) {
        this.formulaId = formulaId;
    }

    public BigDecimal getFormulaId() {
        return formulaId;
    }

    public void setFormulaId(BigDecimal formulaId) {
        this.formulaId = formulaId;
    }

    public BigDecimal getTaxId() {
        return taxId;
    }

    public void setTaxId(BigDecimal taxId) {
        this.taxId = taxId;
    }

    public String getChildrenConditionFormula() {
        return childrenConditionFormula;
    }

    public void setChildrenConditionFormula(String childrenConditionFormula) {
        this.childrenConditionFormula = childrenConditionFormula == null ? null : childrenConditionFormula.trim();
    }

    public String getChildrenConditionJudge() {
        return childrenConditionJudge;
    }

    public void setChildrenConditionJudge(String childrenConditionJudge) {
        this.childrenConditionJudge = childrenConditionJudge == null ? null : childrenConditionJudge.trim();
    }

    public String getFormulaName() {
        return formulaName;
    }

    public void setFormulaName(String formulaName) {
        this.formulaName = formulaName == null ? null : formulaName.trim();
    }

    public String getFormulaString() {
        return formulaString;
    }

    public void setFormulaString(String formulaString) {
        this.formulaString = formulaString == null ? null : formulaString.trim();
    }

    public BigDecimal getViolationTypeId() {
        return violationTypeId;
    }

    public void setViolationTypeId(BigDecimal violationTypeId) {
        this.violationTypeId = violationTypeId;
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", formulaId=").append(formulaId);
        sb.append(", taxId=").append(taxId);
        sb.append(", childrenConditionFormula=").append(childrenConditionFormula);
        sb.append(", childrenConditionJudge=").append(childrenConditionJudge);
        sb.append(", formulaName=").append(formulaName);
        sb.append(", formulaString=").append(formulaString);
        sb.append(", violationTypeId=").append(violationTypeId);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}