package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="发票")
public class BmstruckInvoice implements IBasePO<BigDecimal> {
    /**
     * 主键id(INVOICE_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal invoiceId;

    /**
     * 结算单id(STATEMENT_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="结算单id",required=false)
    private BigDecimal statementId;

    /**
     * 甲方id(GROUP_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="甲方id",required=false)
    private BigDecimal groupId;

    /**
     * 乙方id(CARRIER_ID,DECIMAL,38)
     */
    @ApiModelProperty(value="乙方id",required=false)
    private BigDecimal carrierId;

    /**
     * 图片路径(INVOICE_IMAGE_PATH,VARCHAR,200)
     */
    @ApiModelProperty(value="图片路径",required=false)
    private String invoiceImagePath;

    /**
     * 票据编号(INVOICE_NUMBER,VARCHAR,20)
     */
    @ApiModelProperty(value="票据编号",required=false)
    private String invoiceNumber;

    /**
     * 开票日期(INVOICE_BILLING_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="开票日期",required=false)
    private Date invoiceBillingDate;

    /**
     * 备注
(INVOICE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String invoiceRemark;

    /**
     * 收款人(INVOICE_PAYEE,VARCHAR,20)
     */
    @ApiModelProperty(value="收款人",required=false)
    private String invoicePayee;

    /**
     * 复核人(INVOICE_REVIEWER,VARCHAR,20)
     */
    @ApiModelProperty(value="复核人",required=false)
    private String invoiceReviewer;

    /**
     * 开票人(INVOICE_ISSUER,VARCHAR,20)
     */
    @ApiModelProperty(value="开票人",required=false)
    private String invoiceIssuer;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.invoiceId;
    }

    @Override
    public void setId(BigDecimal invoiceId) {
        this.invoiceId = invoiceId;
    }

    public BigDecimal getInvoiceId() {
        return invoiceId;
    }

    public void setInvoiceId(BigDecimal invoiceId) {
        this.invoiceId = invoiceId;
    }

    public BigDecimal getStatementId() {
        return statementId;
    }

    public void setStatementId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public BigDecimal getGroupId() {
        return groupId;
    }

    public void setGroupId(BigDecimal groupId) {
        this.groupId = groupId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getInvoiceImagePath() {
        return invoiceImagePath;
    }

    public void setInvoiceImagePath(String invoiceImagePath) {
        this.invoiceImagePath = invoiceImagePath == null ? null : invoiceImagePath.trim();
    }

    public String getInvoiceNumber() {
        return invoiceNumber;
    }

    public void setInvoiceNumber(String invoiceNumber) {
        this.invoiceNumber = invoiceNumber == null ? null : invoiceNumber.trim();
    }

    public Date getInvoiceBillingDate() {
        return invoiceBillingDate;
    }

    public void setInvoiceBillingDate(Date invoiceBillingDate) {
        this.invoiceBillingDate = invoiceBillingDate;
    }

    public String getInvoiceRemark() {
        return invoiceRemark;
    }

    public void setInvoiceRemark(String invoiceRemark) {
        this.invoiceRemark = invoiceRemark == null ? null : invoiceRemark.trim();
    }

    public String getInvoicePayee() {
        return invoicePayee;
    }

    public void setInvoicePayee(String invoicePayee) {
        this.invoicePayee = invoicePayee == null ? null : invoicePayee.trim();
    }

    public String getInvoiceReviewer() {
        return invoiceReviewer;
    }

    public void setInvoiceReviewer(String invoiceReviewer) {
        this.invoiceReviewer = invoiceReviewer == null ? null : invoiceReviewer.trim();
    }

    public String getInvoiceIssuer() {
        return invoiceIssuer;
    }

    public void setInvoiceIssuer(String invoiceIssuer) {
        this.invoiceIssuer = invoiceIssuer == null ? null : invoiceIssuer.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", invoiceId=").append(invoiceId);
        sb.append(", statementId=").append(statementId);
        sb.append(", groupId=").append(groupId);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", invoiceImagePath=").append(invoiceImagePath);
        sb.append(", invoiceNumber=").append(invoiceNumber);
        sb.append(", invoiceBillingDate=").append(invoiceBillingDate);
        sb.append(", invoiceRemark=").append(invoiceRemark);
        sb.append(", invoicePayee=").append(invoicePayee);
        sb.append(", invoiceReviewer=").append(invoiceReviewer);
        sb.append(", invoiceIssuer=").append(invoiceIssuer);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}