package com.steerinfo.dil.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="结算单")
public class BmstruckStatement implements IBasePO<BigDecimal> {
    /**
     * 主键id(STATEMENT_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="主键id",required=true)
    private BigDecimal statementId;

    /**
     * 结算单编号(STATEMENT_NUMBER,VARCHAR,200)
     */
    @ApiModelProperty(value="结算单编号",required=false)
    private String statementNumber;

    /**
     * 额外费用id(COST_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="额外费用id",required=false)
    private BigDecimal costId;

    /**
     * 支付单位(STATEMENT_PAYMENT_UNIT,VARCHAR,200)
     */
    @ApiModelProperty(value="支付单位",required=false)
    private String statementPaymentUnit;

    /**
     * 不含税金额(STATEMENT_EXCLUD_TAX,DECIMAL,0)
     */
    @ApiModelProperty(value="不含税金额",required=false)
    private BigDecimal statementExcludTax;

    /**
     * 含税金额/油价和税率调整后结算金额(STATEMENT_INCLUD_TAX,DECIMAL,0)
     */
    @ApiModelProperty(value="含税金额/油价和税率调整后结算金额",required=false)
    private BigDecimal statementIncludTax;

    /**
     * 备注(STATEMENT_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="备注",required=false)
    private String statementRemark;

    /**
     * 结算状态（0未结算，1结算90%，2结算10%）(STATEMENT_SETTLEMENT_STATUS,VARCHAR,20)
     */
    @ApiModelProperty(value="结算状态（0未结算，1结算90%，2结算10%）",required=false)
    private String statementSettlementStatus;

    /**
     * 记录创建人(INSERT_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录创建人",required=false)
    private String insertUsername;

    /**
     * 记录创建时间(INSERT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录创建时间",required=false)
    private Date insertTime;

    /**
     * 记录修改人(UPDATE_USERNAME,VARCHAR,20)
     */
    @ApiModelProperty(value="记录修改人",required=false)
    private String updateUsername;

    /**
     * 记录修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="记录修改时间",required=false)
    private Date updateTime;

    /**
     * 记录创建或修改备注(INSERT_UPDATE_REMARK,VARCHAR,100)
     */
    @ApiModelProperty(value="记录创建或修改备注",required=false)
    private String insertUpdateRemark;

    /**
     * 审核状态（0：未审核，1：已审核）(STATEMENT_TYPE,DECIMAL,0)
     */
    @ApiModelProperty(value="审核状态（0：未审核，1：已审核）",required=false)
    private BigDecimal statementType;

    /**
     * 金蝶核准金额(EAS_AMOUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="金蝶核准金额",required=false)
    private BigDecimal easAmount;

    /**
     * 计算总金额(SUM_AMOUNT,DECIMAL,0)
     */
    @ApiModelProperty(value="计算总金额",required=false)
    private BigDecimal sumAmount;

    /**
     * 总车数(CAR_NUM,DECIMAL,0)
     */
    @ApiModelProperty(value="总车数",required=false)
    private BigDecimal carNum;

    /**
     * 收货客户(CONSIGNEE_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="收货客户",required=false)
    private BigDecimal consigneeId;

    /**
     * 承运商(CARRIER_ID,DECIMAL,0)
     */
    @ApiModelProperty(value="承运商",required=false)
    private BigDecimal carrierId;

    /**
     * 发票图片(PHOTO,VARCHAR,700)
     */
    @ApiModelProperty(value="发票图片",required=false)
    private String photo;

    /**
     * 账单起始日期(STATEMENT_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="账单起始日期",required=false)
    private Date statementTime;

    /**
     * 账单结束日期(STATEMENT_END_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="账单结束日期",required=false)
    private Date statementEndTime;

    private static final long serialVersionUID = 1L;

    @Override
    public BigDecimal getId() {
        return this.statementId;
    }

    @Override
    public void setId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public BigDecimal getStatementId() {
        return statementId;
    }

    public void setStatementId(BigDecimal statementId) {
        this.statementId = statementId;
    }

    public String getStatementNumber() {
        return statementNumber;
    }

    public void setStatementNumber(String statementNumber) {
        this.statementNumber = statementNumber == null ? null : statementNumber.trim();
    }

    public BigDecimal getCostId() {
        return costId;
    }

    public void setCostId(BigDecimal costId) {
        this.costId = costId;
    }

    public String getStatementPaymentUnit() {
        return statementPaymentUnit;
    }

    public void setStatementPaymentUnit(String statementPaymentUnit) {
        this.statementPaymentUnit = statementPaymentUnit == null ? null : statementPaymentUnit.trim();
    }

    public BigDecimal getStatementExcludTax() {
        return statementExcludTax;
    }

    public void setStatementExcludTax(BigDecimal statementExcludTax) {
        this.statementExcludTax = statementExcludTax;
    }

    public BigDecimal getStatementIncludTax() {
        return statementIncludTax;
    }

    public void setStatementIncludTax(BigDecimal statementIncludTax) {
        this.statementIncludTax = statementIncludTax;
    }

    public String getStatementRemark() {
        return statementRemark;
    }

    public void setStatementRemark(String statementRemark) {
        this.statementRemark = statementRemark == null ? null : statementRemark.trim();
    }

    public String getStatementSettlementStatus() {
        return statementSettlementStatus;
    }

    public void setStatementSettlementStatus(String statementSettlementStatus) {
        this.statementSettlementStatus = statementSettlementStatus == null ? null : statementSettlementStatus.trim();
    }

    public String getInsertUsername() {
        return insertUsername;
    }

    public void setInsertUsername(String insertUsername) {
        this.insertUsername = insertUsername == null ? null : insertUsername.trim();
    }

    public Date getInsertTime() {
        return insertTime;
    }

    public void setInsertTime(Date insertTime) {
        this.insertTime = insertTime;
    }

    public String getUpdateUsername() {
        return updateUsername;
    }

    public void setUpdateUsername(String updateUsername) {
        this.updateUsername = updateUsername == null ? null : updateUsername.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getInsertUpdateRemark() {
        return insertUpdateRemark;
    }

    public void setInsertUpdateRemark(String insertUpdateRemark) {
        this.insertUpdateRemark = insertUpdateRemark == null ? null : insertUpdateRemark.trim();
    }

    public BigDecimal getStatementType() {
        return statementType;
    }

    public void setStatementType(BigDecimal statementType) {
        this.statementType = statementType;
    }

    public BigDecimal getEasAmount() {
        return easAmount;
    }

    public void setEasAmount(BigDecimal easAmount) {
        this.easAmount = easAmount;
    }

    public BigDecimal getSumAmount() {
        return sumAmount;
    }

    public void setSumAmount(BigDecimal sumAmount) {
        this.sumAmount = sumAmount;
    }

    public BigDecimal getCarNum() {
        return carNum;
    }

    public void setCarNum(BigDecimal carNum) {
        this.carNum = carNum;
    }

    public BigDecimal getConsigneeId() {
        return consigneeId;
    }

    public void setConsigneeId(BigDecimal consigneeId) {
        this.consigneeId = consigneeId;
    }

    public BigDecimal getCarrierId() {
        return carrierId;
    }

    public void setCarrierId(BigDecimal carrierId) {
        this.carrierId = carrierId;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo == null ? null : photo.trim();
    }

    public Date getStatementTime() {
        return statementTime;
    }

    public void setStatementTime(Date statementTime) {
        this.statementTime = statementTime;
    }

    public Date getStatementEndTime() {
        return statementEndTime;
    }

    public void setStatementEndTime(Date statementEndTime) {
        this.statementEndTime = statementEndTime;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", statementId=").append(statementId);
        sb.append(", statementNumber=").append(statementNumber);
        sb.append(", costId=").append(costId);
        sb.append(", statementPaymentUnit=").append(statementPaymentUnit);
        sb.append(", statementExcludTax=").append(statementExcludTax);
        sb.append(", statementIncludTax=").append(statementIncludTax);
        sb.append(", statementRemark=").append(statementRemark);
        sb.append(", statementSettlementStatus=").append(statementSettlementStatus);
        sb.append(", insertUsername=").append(insertUsername);
        sb.append(", insertTime=").append(insertTime);
        sb.append(", updateUsername=").append(updateUsername);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", insertUpdateRemark=").append(insertUpdateRemark);
        sb.append(", statementType=").append(statementType);
        sb.append(", easAmount=").append(easAmount);
        sb.append(", sumAmount=").append(sumAmount);
        sb.append(", carNum=").append(carNum);
        sb.append(", consigneeId=").append(consigneeId);
        sb.append(", carrierId=").append(carrierId);
        sb.append(", photo=").append(photo);
        sb.append(", statementTime=").append(statementTime);
        sb.append(", statementEndTime=").append(statementEndTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}