package com.steerinfo.dil.service;

import com.steerinfo.dil.model.BmstruckDetailsOrder;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/24 17:34
 * @Version:V2.0
 */
public interface IBmstruckDetailsOrderService {
    /**
     * 展示汽运详单
     * @param mapVal
     * @return
     */
    List<Map<String,Object>> getTruckDetailsOrderList(Map<String,Object> mapVal);

    /**
     * 新增汽运详单
     * @param orderId
     * @return
     */
    int insertSelective(BigDecimal orderId) throws Exception;

    /**
     * 新增汽运详单（专为计费详单服务）
     * @param orderId
     * @return
     */
    int insertSelectiveNew(BigDecimal orderId) throws Exception;

    /**
     * 查询最大id
     * @return
     */
    BigDecimal selectMaxId();

    /**
     * 展示汽运实绩
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getTruckResultList(Map<String, Object> mapVal);

    /**
     * 查询计算因子
     * @param orderId
     * @return
     */
    BigDecimal getFormulaMembers(BigDecimal orderId);

    /**
     * 得到价格id
     * @return
     */
    Map<String, Object> getPriceId(BigDecimal orderId);

    /**
     * 得到价格
     * @return
     */
    BigDecimal getPriceValue(BigDecimal priceId);

    /**
     * 得到到厂湿重
     * @param weightTaskResultId
     * @return
     */
    BigDecimal getNetWeight(BigDecimal weightTaskResultId);

    /**
     * 展示未转成账单的销售详单
     * @param mapVal
     * @param orderType
     * @return
     */
    List<Map<String, Object>> getUnFinishedTruckDetailsOrderList(Map<String, Object> mapVal, Integer orderType);

    List<Map<String, Object>> getUnFinishedConvertedTruckDetailsOrderList(Map<String, Object> mapVal, Integer orderType);

    /**
     * 新增内转汽运详单
     * @param orderId
     * @return
     */
    int addConvertedDetailsOrder(BigDecimal orderId) throws Exception;

    //通过运单id获取需求类型（需求类型（0：计重；1：计时；2：计次；3：包月））
    Map<String, Object> getSettlement(BigDecimal orderId);

    //通过物资id与需求类型获取单价
    BigDecimal getPriceByWz(String requirementType, Integer materialId);

    // 修改详单
    int updateDetailsOrder(Map<String, Object> mapValue);

    //修改车序号单价
    int updateAsomPriceId(Map<String, Object> mapValue);

    // 查询承运商id
    BigDecimal getCarrierIdBySSO(String carrierSsoId);

    // 查询价格和地址
    Map<String,Object> findAddressAndPrice(Integer priceId);

    // 增加焦炭途损费
    int addLossFeeOfCoke(Map<String,Object> map);

    List<Map<String, Object>> getInwardWeightDetailsOrder(Map<String, Object> mapValue,Integer orderType);

    int inserInwardOrder(Map<String, Object> mapVal);

    int updateDetails();

    List<Map<String, Object>> getInwardWeightTimeDetailsOrder(Map<String, Object> mapValue,Integer orderType);

    List<Map<String, Object>> getNoInwardDetails(Map<String, Object> mapValue);

    List<Map<String, Object>> getSteelTruckDetailsOrder(Map<String, Object> mapValue);

    int newInwardSettle(List<Map<String,Object>> orderIds);

    int updateDetailsStatus(List<Integer> mapList);

    //查询订单状态
    int getSaleOrderStatus(BigDecimal orderId);

    //新增单价信息
    int insertPriceValue(List<Map<String,Object>> mapList);

    //直接修改单价
    int updateDetailsDirect(Map<String,Object> map) throws Exception;

    //新增冲红
    int addTruckDetail(Map<String,Object> map) throws Exception;

    int updateConsignee(Map<String,Object> map) throws Exception;
}
