package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.BmstruckStatement;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstruckStatement服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-15 06:20
 * 类描述
 * 修订历史：
 * 日期：2021-10-15
 * 作者：generator
 * 参考：
 * 描述：BmstruckStatement服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IBmstruckStatementService{

    /**
     * 展示汽运账单
     * @param mapValue
     * @return
     */
    List<Map<String, Object>> getTruckStatementList(Map<String, Object> mapValue);

    /**
     * 生成汽运账单
     * @param map
     * @return
     */
    int addTruckStatement(Map<String, Object> map) throws Exception;

    /**
     * 展示账单下的详单
     * @param mapVal
     * @return
     */
    List<Map<String, Object>> getSaleTruckStatementDetailsOrderList(Map<String, Object> mapVal);

    //新增内转汽运账单
    int addConvertedTruckStatement(List<Map<String, Object>> mapList, Integer orderType);
    //根据主键id删除
    int delete(BigDecimal statementId);
    //用车单位审批汽运账单
    int update(BigDecimal statementId);

    List<Map<String,Object>> findDetailsForStatement(Map<String,Object> map);

    String getStatementPhoto(BigDecimal statementId);
}