package com.steerinfo.dil.service.impl;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.framework.service.impl.BaseServiceImpl;
import com.steerinfo.dil.model.BmstruckCheck;
import com.steerinfo.dil.mapper.BmstruckCheckMapper;
import com.steerinfo.dil.service.IBmstruckCheckService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * BmstruckCheck服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 03:35
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：BmstruckCheck服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstruckCheckService")
public class BmstruckCheckServiceImpl implements IBmstruckCheckService {

    @Autowired
    private BmstruckCheckMapper bmstruckCheckMapper;

    /**
     * 修改审核状态
     * @param statementId
     * @param status
     * @param person
     * @return
     */
    @Override
    public int updateBmstruckCheck(BigDecimal statementId,Integer status,Integer person) {
        BigDecimal realStatus = new BigDecimal(status);
        Map<String,Object> map = new HashMap<>();
        map.put("statementId",statementId);
        List<BmstruckCheck> bmstruckChecks = bmstruckCheckMapper.selectByParameters(map);
        BmstruckCheck bmstruckCheck = bmstruckChecks.get(0);
        bmstruckCheck.setStatementId(statementId);
        switch (person){
            //0收货客户
            case 0: bmstruckCheck.setCheckReceiveCustomerStatus(realStatus);
                break;
                //1承运商
            case 1: bmstruckCheck.setCheckCarrierStatus(realStatus);
                break;
                //销售公司
            case 2: bmstruckCheck.setCheckShipperStatus(realStatus);
                break;
        }
        return bmstruckCheckMapper.updateByPrimaryKeySelective(bmstruckCheck);
    }
}
