package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmstruckFormulaMapper;
import com.steerinfo.dil.service.IBmstruckFormulaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;
import java.util.Map;

/**
 * @Description:
 * @Author:HuJianGuo
 * @GreateTime:2021/9/24 17:41
 * @Version:V2.0
 */
@Service
public class BmstruckFormulaServiceImpl implements IBmstruckFormulaService {

    @Autowired
    BmstruckFormulaMapper bmstruckFormulaMapper;

    /**
     * 得到汽运计费公式
     * @param formulaId
     * @return
     */
    @Override
    public String getTruckFormula(BigDecimal formulaId) {
        return bmstruckFormulaMapper.getTruckFormula(formulaId);
    }

    /**
     * 根据主键查询公式和名称
     * @param formulaId
     * @return
     */
    @Override
    public Map<String, Object> selectAnyFormula(BigDecimal formulaId) {
        return bmstruckFormulaMapper.selectAnyFormula(formulaId);
    }
}

