package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.util.NoUtil;
import com.steerinfo.dil.model.BmstruckInvoice;
import com.steerinfo.dil.mapper.BmstruckInvoiceMapper;
import com.steerinfo.dil.service.IBmstruckInvoiceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * BmstruckInvoice服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-10-16 04:13
 * 类描述
 * 修订历史：
 * 日期：2021-10-16
 * 作者：generator
 * 参考：
 * 描述：BmstruckInvoice服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmstruckInvoiceService")
public class BmstruckInvoiceServiceImpl implements IBmstruckInvoiceService {

    @Autowired
    private BmstruckInvoiceMapper bmstruckInvoiceMapper;
    @Autowired
    NoUtil noUtil;


    /**
     * 新增发票
     * @param mapVal
     * @return
     */
    @Override
    public int addBmstruckInvoice(Map<String, Object> mapVal) {
        Map<String,Object> map1 = (Map<String, Object>) mapVal.get("map1");
        Map<String,Object> map2 = (Map<String, Object>) mapVal.get("map2");
        BmstruckInvoice bmstruckInvoice = new BmstruckInvoice();
        BigDecimal invoiceId = bmstruckInvoiceMapper.selectInvoiceId();
        BigDecimal statementId = new BigDecimal((Integer)map1.get("statementId"));
        BigDecimal shipperId = new BigDecimal((Integer)map1.get("shipperId"));
        BigDecimal carrierId = new BigDecimal((Integer)map1.get("carrierId"));
        String invoiceRemark = (String) map2.get("invoiceRemark");
//        String invoiceImagePath = (String) map2.get("invoiceImagePath");
        String invoiceNumber = noUtil.setResultNo("FP", invoiceId);
//        bmstruckInvoice.setInvoiceImagePath(invoiceImagePath);
        bmstruckInvoice.setInvoiceRemark(invoiceRemark);
        bmstruckInvoice.setInvoiceNumber(invoiceNumber);
        bmstruckInvoice.setInvoiceId(invoiceId);
        bmstruckInvoice.setCarrierId(carrierId);
        bmstruckInvoice.setGroupId(shipperId);
        bmstruckInvoice.setStatementId(statementId);
        bmstruckInvoice.setInsertTime(new Date());
        bmstruckInvoice.setInsertUsername("admin");
        bmstruckInvoice.setUpdateTime(new Date());
        bmstruckInvoice.setUpdateUsername("admin");
        bmstruckInvoice.setInsertUpdateRemark("无");
        return bmstruckInvoiceMapper.insertSelective(bmstruckInvoice);
    }

    /**
     * 展示发票信息
     * @param mapValue
     * @return
     */
    @Override
    public List<Map<String, Object>> getInvoiceList(Map<String, Object> mapValue) {
        return bmstruckInvoiceMapper.getInvoiceList(mapValue);
    }

    /**
     * 通过主键查询
     * @param invoiceId
     * @return
     */
    @Override
    public BmstruckInvoice selectByPrimaryKey(BigDecimal invoiceId){
        return bmstruckInvoiceMapper.selectByPrimaryKey(invoiceId);
    }

    /**
     * 修改发票图片路径
     * @param bmstruckInvoice
     * @return
     */
    @Override
    public int updateByPrimaryKeySelective(BmstruckInvoice bmstruckInvoice) {
        return bmstruckInvoiceMapper.updateByPrimaryKeySelective(bmstruckInvoice);
    }
}
